#pragma once
#include "Mod.h"

class Watermark : public Mod {
public:
	bool version = false;
	bool bold = true;

	Watermark() : Mod(_("Watermark"), _("Draw the client's logo."), Category::RENDER) {
		settings.push_back(new Setting{ _("Version"), &version, 0, 0, 0, {}, true });
		settings.push_back(new Setting{ _("Bold"), &bold, 0, 0, 0, {}, true });

		enabled = true;
		visible = false;
	}

private:
	virtual auto onImGuiRender() -> void override;
};
